Module | Iconv::Failure
In: | iconv/iconv.c

Base attributes for Iconv exceptions.

### Methods

failed inspect new success

### Public Class methods

Iconv.new(to, from)

Creates new code converter from a coding-system designated with `from` to another one designated with `to`.

### Parameters

`to`: | encoding name for destination
`from`: | encoding name for source

### Exceptions

TypeError: | if `to` or `from` aren’t String
InvalidEncoding: | if designated converter couldn’t find out
SystemCallError: | if `iconv_open(3)` fails

### Public Instance methods

failed

Returns substring of the original string passed to Iconv that starts at the character caused the exception.

[Source]

    /*
     * Document-method: failed
     * call-seq: failed
     *
     * Returns substring of the original string passed to Iconv that starts at the
     * character caused the exception.
     */
    static VALUE
    iconv_failure_failed
        (self)
        VALUE self;
    {
        return rb_attr_get(self, rb_failed);
    }

inspect

Returns inspected string like as: #<class: success, failed>

[Source]

    /*
     * Document-method: inspect
     * call-seq: inspect
     *
     * Returns inspected string like as: #<_class_: _success_, _failed_>
     */
    static VALUE
    iconv_failure_inspect
        (self)
        VALUE self;
    {
        char *cname = rb_class2name(CLASS_OF(self));
        VALUE success = rb_attr_get(self, rb_success);
        VALUE failed = rb_attr_get(self, rb_failed);
        VALUE str = rb_str_buf_cat2(rb_str_new2("#<"), cname);
        str = rb_str_buf_cat(str, ": ", 2);
        str = rb_str_buf_append(str, rb_inspect(success));
        str = rb_str_buf_cat(str, ", ", 2);
        str = rb_str_buf_append(str, rb_inspect(failed));
        return rb_str_buf_cat(str, ">", 1);
    }

success

Returns string(s) translated successfully until the exception occurred.

- In the case of failure occurred within Iconv.iconv, returned value is an array of strings translated successfully preceding failure and the last element is string on the way.

[Source]

    /*
     * Document-method: success
     * call-seq: success
     *
     * Returns string(s) translated successfully until the exception occurred.
     * * In the case of failure occurred within Iconv.iconv, returned
     *   value is an array of strings translated successfully preceding
     *   failure and the last element is string on the way.
     */
    static VALUE
    iconv_failure_success
        (self)
        VALUE self;
    {
        return rb_attr_get(self, rb_success);
    }

[Validate]